/**
  *  \file client/tiles/visship.h
  *  \brief Visual Scanner: Ship Information Tile
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_VISSHIP_H
#define PCC_V2_CLIENT_TILES_VISSHIP_H

#include "client/wtile.h"
#include "game/objtypes.h"

class WVisualScanShipInfoTile : public WObjectSelectionObserverTile {
 public:
    WVisualScanShipInfoTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
